
Smart Proxy - Bug #13600

Templates module not marked as failed when foreman_url is missing

02/08/2016 08:05 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

in the logs (now in the nice shiny UI) I can see:

missing :foreman_url: from configurations. 'templates' module is disabled

 Yet, I see the feature as active in the list of features.

steps to reproduce are simple - comment out the foreman URL from the proxy configuration.

Related issues:

Related to Foreman - Feature #12718: As a user I would like to receive proxy ... Closed 12/07/2015

Related to Smart Proxy - Bug #13028: foreman-proxy has error "Couldn't enable... Closed 01/06/2016

History

#1 - 02/08/2016 08:06 AM - Ohad Levy

- Related to Feature #12718: As a user I would like to receive proxy log data: proxy initialization, proxy loading errors, plugin initialization, plugin

initialization errors added

#2 - 02/08/2016 08:07 AM - Dominic Cleal

- Category set to Smart Proxy

Please set categories when filing tickets.

Is the smart proxy reporting the feature as active?

#3 - 02/08/2016 08:11 AM - Ohad Levy

it does, and it does not list it under failed features.

#4 - 02/08/2016 08:15 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Subject changed from smart proxy active feature count is wrong when templates feature is disabled to Templates module not marked as failed when

foreman_url is missing

- Category changed from Smart Proxy to Templates

#5 - 02/10/2016 07:06 AM - Dominic Cleal

- Related to Bug #13028: foreman-proxy has error "Couldn't enable plugin dhcp_isc" on every restart added

#6 - 02/10/2016 07:08 AM - Dominic Cleal

#13028 contains a fix for this issue, as it now raises an exception from the templates module when the setting is missing, which both disables the

module and logs that it's disabled.  The current impl on develop calls the disable API from within the module itself, forgoing the logging.
https://projects.theforeman.org/issues/13028


#7 - 02/19/2016 05:25 AM - Dominic Cleal

- Status changed from New to Closed

- translation missing: en.field_release set to 71

- Assignee set to Anonymous
